Error running ionic package build "Cannot read property 'flowing' of undefined (CLI v2.1.8)"


#1

I’m not sure why I am seeing the following message when running

$ ionic package build android now.

I’m not sure if what I did earlier today had any thing to do with the error messages in ionic package build:

$ npm rebuild-node-sass

My system information:
Cordova CLI: 7.0.1
Ionic, v1.3.0-nightly-3127
Ionic CLI Version: 2.1.8
OS:
Node Version: v8.0.0

Any help would be appreciated, thanks!

TypeError: Cannot read property 'flowing' of undefined
    at DeflateRawChecksum.Readable.on (_stream_readable.js:763:28)
    at new DeflateRawChecksum (/usr/local/lib/node_modules/ionic/node_modules/ionic-app-lib/node_modules/archiver/node_modules/zip-stream/lib/util/DeflateRawChecksum.js:22:8)
    at module.exports.ZipStream._newProcessStream (/usr/local/lib/node_modules/ionic/node_modules/ionic-app-lib/node_modules/archiver/node_modules/zip-stream/lib/zip-stream.js:145:15)
    at module.exports.ZipStream._appendStream (/usr/local/lib/node_modules/ionic/node_modules/ionic-app-lib/node_modules/archiver/node_modules/zip-stream/lib/zip-stream.js:117:28)
    at module.exports.ZipStream.entry (/usr/local/lib/node_modules/ionic/node_modules/ionic-app-lib/node_modules/archiver/node_modules/zip-stream/lib/zip-stream.js:256:10)
    at module.exports.Zip.append (/usr/local/lib/node_modules/ionic/node_modules/ionic-app-lib/node_modules/archiver/lib/modules/zip/index.js:35:15)
    at module.exports.Archiver._onQueueEntry (/usr/local/lib/node_modules/ionic/node_modules/ionic-app-lib/node_modules/archiver/lib/modules/core/index.js:109:24)
    at emitTwo (events.js:125:13)
    at module.exports.emit (events.js:213:7)
    at module.exports.Queue.run (/usr/local/lib/node_modules/ionic/node_modules/ionic-app-lib/node_modules/archiver/lib/modules/core/queue.js:57:8)


Cannot read property 'flowing' of undefined (CLI v2.1.8)

errorHandler had an error Error: process exited before Archiver could finish emitting data
    at module.exports.<anonymous> (/usr/local/lib/node_modules/ionic/node_modules/ionic-app-lib/node_modules/archiver/lib/modules/core/index.js:42:13)
    at Object.onceWrapper (events.js:312:19)
    at emitOne (events.js:120:20)
    at process.emit (events.js:210:7)
    at process.exit (internal/process.js:154:15)
    at /usr/local/lib/node_modules/ionic/lib/cli.js:659:15
    at _fulfilled (/usr/local/lib/node_modules/ionic/node_modules/q/q.js:787:54)
    at self.promiseDispatch.done (/usr/local/lib/node_modules/ionic/node_modules/q/q.js:816:30)
    at Promise.promise.promiseDispatch (/usr/local/lib/node_modules/ionic/node_modules/q/q.js:749:13)
    at /usr/local/lib/node_modules/ionic/node_modules/q/q.js:509:49
Error: process exited before Archiver could finish emitting data
    at module.exports.<anonymous> (/usr/local/lib/node_modules/ionic/node_modules/ionic-app-lib/node_modules/archiver/lib/modules/core/index.js:42:13)
    at Object.onceWrapper (events.js:312:19)
    at emitOne (events.js:120:20)
    at process.emit (events.js:210:7)
    at process.exit (internal/process.js:154:15)
    at /usr/local/lib/node_modules/ionic/lib/cli.js:659:15
    at _fulfilled (/usr/local/lib/node_modules/ionic/node_modules/q/q.js:787:54)
    at self.promiseDispatch.done (/usr/local/lib/node_modules/ionic/node_modules/q/q.js:816:30)
    at Promise.promise.promiseDispatch (/usr/local/lib/node_modules/ionic/node_modules/q/q.js:749:13)
    at /usr/local/lib/node_modules/ionic/node_modules/q/q.js:509:49

#2

For anyone out there with the same problem, I had to upgrade my node -v from v8.0.0 to v8.1.0 and the ionic package worked again.

I read through this forum here: